.v-ui #breadcrumbs {
	position: absolute;
	top: 21px;
	left: 28px;
	font-size: 15px;
	font-weight: 300;
	font-family:'Helvetica W01 Light', sans-serif;
	line-height: 1;
}

#breadcrumbs {
	.gwt-Label {
		margin-right: 7px;
		padding-bottom: 2px;
		color: #fff;
		color: rgba(255,255,255,0.5);
	}
}

#breadcrumbs .gwt-Label.crumb {
	cursor: pointer;
}

.v-ui[width-range~="0px-800px"] {
	#breadcrumbs {
		.crumb,
		.spacer {
			visibility: hidden;
		}
		
		.sidebar-open & {
			.logo {
				@include transform(rotateY(180deg));
			}
			
			.backbutton {
				@include transform(rotateY(0deg));
			}
		}
	}
	
	
}

#breadcrumbs {
	
	.logo,
	.backbutton,
	.logowrapper {
		width: 108px;
		height: 27px;
		position: absolute;
		z-index: 5;
		
		-webkit-transition: -webkit-transform 500ms;
    	transition: transform 500ms;
    	
		-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
		
		-webkit-transform-origin: 50% 0;
		-ms-transform-origin: 50% 0;
		transform-origin: 50% 0;
	}
	
	.logowrapper {
		margin-right: 15px;
	}
	
	.backbutton {
		@include transform(rotateY(-180deg));
		text-align: center;
		cursor: pointer;
		
		border: 2px solid #fff;
		border-color: rgba(255, 255, 255, 0.3);
		@include border-radius();
		
		line-height: 1.3;
		font-size: 14px;
		font-weight: bold;
		color: #fff;
		width: 80px;
		height: auto;
		padding: 1px 0 1px 8px;
		margin-left: 13px;
		@include border-box;
		
		&:before {
			content: "";
			position: absolute;
			border: 3px solid transparent;
			left: 9px;
			top: 7px;
			border-right-color: #fff;
			border-right-width: 5px;
		}
	}
	
	.logowrapper {
		position: relative;
	}
}

#breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
	cursor: default;
	font-weight: bold;
	font-family:'HelveticaW01-RoundedBd', sans-serif;
}

#breadcrumbs .gwt-Label.crumb:hover {
	color: #fff;
}

/* Color themes */

#breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
}
#breadcrumbs .logo {
	background: url(../community/images/vaadin-logo-white.svg) no-repeat;
	background-size: 106px 26px;
	cursor: pointer;
}
.v-ie8 #breadcrumbs .logo {
	background: url(../community/images/logo.png) left top no-repeat;
}


.sampleselected #breadcrumbs .gwt-Label {
	color: #8c8c87;
}
.sampleselected #breadcrumbs .gwt-Label.crumb:hover,
.sampleselected #breadcrumbs .gwt-Label.crumb.last {
	color: #000;
}

.sampleselected #breadcrumbs .backbutton {
	color: #656565;
	border-color: #dadada;
	
	&:before {
		border-right-color: #656565;
	}
}

.sampleselected #breadcrumbs .logo {
	background-image: url(../community/images/vaadin-logo.svg);
}
.v-ie8.sampleselected #breadcrumbs .logo {
	background-image: url(../community/images/logo-colored.png);
}

.orange #breadcrumbs .gwt-Label {
	color: #fff;
	color: rgba(255,255,255,.5);
}
.orange #breadcrumbs .gwt-Label.crumb:hover,
.orange #breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
}
.orange #breadcrumbs .logo {
	background: url(../community/images/logo.png) left top no-repeat;
}


.v-ie8, .v-ie9  {
	#breadcrumbs .backbutton{
		visibility: hidden;
	}
	
	&.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs {
		.backbutton{
			visibility: visible;
		}
		
		.logo {
			visibility: hidden;
		}
	}
	
}
